## umockdev errors umockdev errors — GError types for parsing umockdev files hardware devices. |

## Synopsis

    enum                UMockdevError;

## Description

See GError for more information on error domains.

## Details

### enum UMockdevError

    typedef enum {
    	UMOCKDEV_ERROR_PARSE,
    	UMOCKDEV_ERROR_VALUE
    } UMockdevError;

Error codes for parsing umockdev files.

`UMOCKDEV_ERROR_PARSE` | There is a malformed or missing line in the device description.
`UMOCKDEV_ERROR_VALUE` | A value in the device description has an invalid value, for example a device path does not start with "/devices/".